# Coupon

The coupon record that can be applied to a subscription

| Name               | Type                                                                       | Description                                                                                                           |
| ------------------ | -------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| active             | Boolean                                                                    | Is the coupon active                                                                                                  |
| couponCode         | String                                                                     | Unique coupon code                                                                                                    |
| createdAt          | ISO8601DateTime                                                            | Datetime the coupon was created                                                                                       |
| currencyId         | ID                                                                         | Currency ID of the coupon                                                                                             |
| description        | String                                                                     | Description of the coupon                                                                                             |
| discountAmount     | Float                                                                      | Amount of the discount                                                                                                |
| discountKind       | [CouponDiscountKind](/developer/api-reference/enums.md#coupondiscountkind) | Type of discount the coupon applies                                                                                   |
| discountPercentage | Float                                                                      | Percent of the discount                                                                                               |
| duration           | Int                                                                        | Number of billing periods the coupon applies to. nil means forever.                                                   |
| id                 | ID                                                                         | Unique ID for the coupon                                                                                              |
| name               | String                                                                     | Name of the coupon                                                                                                    |
| planId             | ID                                                                         | Plan ID the coupon applies to                                                                                         |
| redemptionEndDate  | ISO8601Date                                                                | Date the coupon expires                                                                                               |
| redemptionsCount   | Int                                                                        | Number of times the coupon has been redeemed                                                                          |
| redemptionsMax     | Int                                                                        | Maximum number of times the coupon can be redeemed                                                                    |
| remainingPeriods   | Int                                                                        | Number of remaining billing periods available for this coupon for the given account. Returns nil for forever coupons. |
| updatedAt          | ISO8601DateTime                                                            | Datetime the coupon was last updated                                                                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/coupon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
